com.google.appengine.api.oauth

## Interface OAuthService

-     public interface OAuthService

  The OAuthService provides methods useful for validating OAuth requests.
  See Also:
    RFC 5849 for the OAuth specification.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getClientId(java.lang.String scope)` Returns the client_id from oauth2 request
    `User` | `getCurrentUser()` Returns the `User` on whose behalf the request was made.
    `User` | `getCurrentUser(java.lang.String scope)` Returns the `User` on whose behalf the request was made.
    `java.lang.String` | `getOAuthConsumerKey()` Returns the oauth_consumer_key OAuth parameter from the request.
    `boolean` | `isUserAdmin()` Returns true if the user on whose behalf the request was made is an admin for this application, false otherwise.
    `boolean` | `isUserAdmin(java.lang.String scope)` Returns true if the user on whose behalf the request was made is an admin for this application, false otherwise.

- - ### Method Detail

    - #### getCurrentUser

          User getCurrentUser()
                              throws OAuthRequestException

      Returns the `User` on whose behalf the request was made.
      Throws:
        `OAuthRequestException` - If the request was not a valid OAuth request.
        `OAuthServiceFailureException` - If an unknown OAuth error occurred.

    - #### getCurrentUser

          User getCurrentUser(java.lang.String scope)
                              throws OAuthRequestException

      Returns the `User` on whose behalf the request was made.
      Parameters:
        `scope` - The custom OAuth scope that is accepted.
      Throws:
        `OAuthRequestException` - If the request was not a valid OAuth request.
        `OAuthServiceFailureException` - If an unknown OAuth error occurred.

    - #### isUserAdmin

          boolean isUserAdmin()
                              throws OAuthRequestException

      Returns true if the user on whose behalf the request was made is an admin for this application, false otherwise.
      Throws:
        `OAuthRequestException` - If the request was not a valid OAuth request.
        `OAuthServiceFailureException` - If an unknown OAuth error occurred.

    - #### isUserAdmin

          boolean isUserAdmin(java.lang.String scope)
                              throws OAuthRequestException

      Returns true if the user on whose behalf the request was made is an admin for this application, false otherwise.
      Parameters:
        `scope` - The custom OAuth scope that is accepted.
      Throws:
        `OAuthRequestException` - If the request was not a valid OAuth request.
        `OAuthServiceFailureException` - If an unknown OAuth error occurred.
      Since:
        App Engine 1.7.3.

    - #### getOAuthConsumerKey

          java.lang.String getOAuthConsumerKey()
                                               throws OAuthRequestException

      Returns the oauth_consumer_key OAuth parameter from the request.
      Throws:
        `OAuthRequestException` - If the request was not a valid OAuth request.
        `OAuthServiceFailureException` - If an unknown OAuth error occurred.

    - #### getClientId

          java.lang.String getClientId(java.lang.String scope)
                                       throws OAuthRequestException

      Returns the client_id from oauth2 request
      Throws:
        `OAuthRequestException` - If the request was not a valid OAuth2 request.
        `OAuthServiceFailureException` - If an unknown OAuth error occurred.